PanamaCipher< B > Class Template Reference

Panama stream cipher. More...

Inheritance diagram for PanamaCipher< B >:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< PanamaCipherPolicy< B >, AdditiveCipherTemplate<> >, PanamaCipherInfo< B > > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from PanamaCipherInfo< LittleEndian >
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

### template<class B = LittleEndian>
class PanamaCipher< B >

Panama stream cipher.

See also
  Panama Stream Cipher

Definition at line 155 of file panama.h.

The documentation for this class was generated from the following file:

- panama.h